.post-create {
  position: relative;
  padding: 2.5rem 3.5rem 3.5rem 3.5rem;
  box-shadow: 0 0 0.6rem 0.2rem rgba(0, 0, 0, 0.2);
  border-radius: 0.8rem;
  margin: 3rem auto;
  min-height: 80vh;
  width: 60%;

  @media screen and(max-width: 1024px) {
    width: 80%;
    min-height: 50vh;
  }

  @media screen and(max-width: 460px) {
    width: 90%;
  }

  .back {
    position: absolute;
    top: 2rem;
    right: 2rem;
    // background-color: $color-secondary;
    border: none;
    padding: 0;
    cursor: pointer;
    border-radius: 10rem;

    fa-icon {
      font-size: 4rem;
      float: left;
      color: #656565;

      svg {
        float: left;
      }
    }
  }

  &.hide {
    min-height: unset;
  }

  .grid {
    margin-bottom: unset;

    @media screen and (max-width: 460px) {
      flex-wrap: wrap;
      flex-direction: column-reverse;
    }
  }

  .twelve {
    margin: 0;
  }

  > .title {
    margin-bottom: 2rem;
  }

  .alert {
    padding: 0;
    margin-top: -5rem;
    color: red;
  }

  .caption {
    width: 100%;
    height: auto;
    resize: none;
    overflow: hidden;
    border: none;
    border-bottom: 0.2rem solid #e5e5e5;
    margin-bottom: 5rem;

    @media screen and (max-width: 460px) {
      margin-top: calc(50vh - 5.84rem - 6rem + 4rem);
    }

    &:focus {
      outline: none;
      border-color: $color-post-create;
    }
  }

  .fields {
    padding-right: 3rem;

    @media screen and (max-width: 460px) {
      width: 100%;
      padding-right: 0;
      margin-bottom: 4rem;
    }
  }

  .draggable-input-file {
    position: relative;

    @media screen and (max-width: 460px) {
      width: 100%;
    }

    &.hide {
      .content-box {
        min-height: auto;
      }

      .content {
        display: none;
      }

      input[type='file'] {
        min-height: auto;
      }
    }

    input[type='file'] {
      position: absolute;
      left: 0;
      top: 0;
      width: 100%;
      height: auto;
      opacity: 0;
      z-index: 20;
      min-height: calc(80vh - 5.84rem - 6rem);

      @media screen and(max-width: 1024px) {
        min-height: calc(50vh - 5.84rem - 6rem);
      }

      &:hover + .image-container {
        img,
        video {
          filter: blur(3px);

          & + .delete.button {
            display: block;
          }
        }
      }
    }

    .image-container {
      position: relative;
      @include clearfix();

      &:hover {
        img,
        video {
          filter: blur(3px);

          & + .delete.button {
            display: block;
          }
        }
      }

      img,
      video {
        position: relative;
        float: left;
        width: 100%;
        height: auto;
        object-fit: contain;
        z-index: 10;
        border-radius: $post-create-border-radius;
        transition: 0.3s;
      }

      .delete.button {
        display: none;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        border-radius: 10rem;
        width: unset;
        padding: 1.5rem 2.5rem;
        z-index: 22;
        background-color: red;
        cursor: pointer;

        .ng-fa-icon {
          font-size: 3rem;
          color: white;
        }
      }
    }

    .content-box {
      position: absolute;
      left: 0;
      top: 0;
      background-color: #e5e5e5;
      padding: 2rem;
      min-height: calc(80vh - 5.84rem - 6rem);
      border-radius: $post-create-border-radius;
      width: 100%;
      z-index: 5;

      @media screen and(max-width: 1024px) {
        min-height: calc(50vh - 5.84rem - 6rem);
      }

      &.hide {
        display: none;
      }

      .content {
        position: absolute;
        width: calc(100% - 4rem);
        height: calc(100% - 4rem);
        border: 2px dashed #959494;
        border-radius: $post-create-border-radius;
        z-index: 5;

        .text-and-icon {
          position: absolute;
          left: 50%;
          top: 50%;
          transform: translate(-50%, -50%);
          text-align: center;
          z-index: 5;

          .ng-fa-icon,
          i {
            font-size: 6rem;
          }

          .text {
            margin-top: 1rem;
          }
        }
      }
    }
  }
}
